clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::LocatedSymbol Struct Reference

`#include <XRefs.h>`

Collaboration diagram for clang::clangd::LocatedSymbol:
[legend]

## Public Attributes
std::string | Name
Location | PreferredDeclaration
llvm::Optional< Location > | Definition

## Detailed Description

Definition at line 38 of file XRefs.h.

## Member Data Documentation

## ◆ Definition

llvm::Optional<Location> clang::clangd::LocatedSymbol::Definition

Definition at line 44 of file XRefs.h.

Referenced by clang::clangd::getToggle().

## ◆ Name

std::string clang::clangd::LocatedSymbol::Name

Definition at line 40 of file XRefs.h.

## ◆ PreferredDeclaration

Location clang::clangd::LocatedSymbol::PreferredDeclaration

Definition at line 42 of file XRefs.h.

Referenced by clang::clangd::getToggle().

The documentation for this struct was generated from the following file:

- XRefs.h